Aktualizacja do NR 12.0.0

Cześć,
tak dla przestrogi po aktualizacji NR do najnowszej wersji 12.0.0 przestały działać mi automatyzacje, problem jest z patchem do pytona. Póki co zostawiłem temat.
Mam system w wersji,

Home Assistant Core 2022.6.4
Home Assistant Supervisor 2022.05.3
Home Assistant OS 8.1

npm ERR! code 1
npm ERR! path /opt/node_modules/i2c-bus
npm ERR! command failed
npm ERR! command sh -c node-gyp rebuild
npm ERR! gyp info it worked if it ends with ok
npm ERR! gyp info using node-gyp@9.0.0
npm ERR! gyp info using node@16.15.0 | linux | x64
npm ERR! gyp ERR! find Python 
npm ERR! gyp ERR! find Python checking Python explicitly set from command line or npm configuration
npm ERR! gyp ERR! find Python - "--python=" or "npm config get python" is "/usr/bin/python3"
npm ERR! gyp ERR! find Python - "/usr/bin/python3" is not in PATH or produced an error
npm ERR! gyp ERR! find Python Python is not set from environment variable PYTHON
npm ERR! gyp ERR! find Python checking if "python3" can be used
npm ERR! gyp ERR! find Python - "python3" is not in PATH or produced an error
npm ERR! gyp ERR! find Python checking if "python" can be used
npm ERR! gyp ERR! find Python - "python" is not in PATH or produced an error
npm ERR! gyp ERR! find Python 

A co to za magiczna wersja NR? 12.0.0.?

mam ostatnią 2.2.2, a widzę że są jeszcze tylko dwie bety 3.0.0

1 Like

Na stronie widzę jak wół

no ale moze o czymś nie wiem i to jest jakas inna wesja :stuck_out_tongue:

ok znalazłem, piracka wersja :stuck_out_tongue:

nie wiedziałem ze takie są, nie było tematu :vulcan_salute:

Najnowsza wersja 12.0.1 i nie piracka tylko dostępna z panelu aktualizacji HA

dencies.

v12.0.1 additionally cleans up a node that was missed (thanks, @regevbr for spotting that).

🚨 Breaking changes
The following Node-RED where previously built-in, and have been removed:

node-red-contrib-alexa-home-skill
node-red-contrib-looptimer
node-red-contrib-statistics
node-red-contrib-stoptimer
node-red-contrib-timecheck
node-red-contrib-traffic
node-red-node-msgpack
node-red-node-sentiment
They have been removed because of their low usage/installs and most of them have not been maintained for years now. If you like to keep any of those, you can add/install them again yourself.

Additionally, the Raspberry Pi GPIO support has been removed. It has always been flaky at best, and in many cases not working at all. Besides, it generated errors/warnings when using the add-on on a device that is not a Raspberry Pi. Removing it reduces the add-on size by ~20% and improves the security rating of the add-on.

🔥 Cleanup built-in nodes @frenck (#1359)
🔥 Remove GPIO support @frenck (#1360)
🐛 Bug fixes
🚑 Fix serial port binding issue @frenck (#1357)
🧰 Maintenance
🧹 Clean up another 5Mb of cache files @frenck (#1361)
🧹 Clean up gpio node @regevbr (#1362)
📚 Documentation
📚 Minor typo for add repo link @sinclairpaul (#1343)
📚 Use new My Home Assistant link format @frenck (#1358)
⬆️ Dependency updates
Bump node-red-contrib-persistent-fsm from 1.1.0 to 1.2.0 in /node-red @dependabot (#1344)
Bump node-red-dashboard from 3.1.6 to 3.1.7 in /node-red @dependabot (#1345)
Bump node-red-node-feedparser from 0.2.2 to 0.3.0 in /node-red @dependabot (#1355)
⬆️ Upgrades add-on base image to 12.0.0 @frenck (#1356)

Bądźmy precyzyjni, nie chodzi o wersję Node-REDa tylko o wersje add-on’a z Node-REDem dla HA - Home Assistant Community Add-on: Node-RED.

4 Likes